RFS
Update Rfs
PATCH
/
rfs
/
{rfs_id}
Update Rfs
curl --request PATCH \
--url https://vinmake-erp.onrender.com/rfs/{rfs_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientId": "<string>",
"clientName": "<string>",
"clientPoNumber": "<string>",
"styles": [
{
"id": "<string>",
"label": "<string>",
"name": "<string>"
}
],
"status": "<string>",
"notes": "<string>",
"lineItems": [
{
"styleSkuId": "<string>",
"styleId": "<string>",
"skuLabel": "<string>",
"dealStatus": "<string>",
"orderQuantity": 123,
"clientTolerance": 123
}
]
}
'import requests
url = "https://vinmake-erp.onrender.com/rfs/{rfs_id}"
payload = {
"clientId": "<string>",
"clientName": "<string>",
"clientPoNumber": "<string>",
"styles": [
{
"id": "<string>",
"label": "<string>",
"name": "<string>"
}
],
"status": "<string>",
"notes": "<string>",
"lineItems": [
{
"styleSkuId": "<string>",
"styleId": "<string>",
"skuLabel": "<string>",
"dealStatus": "<string>",
"orderQuantity": 123,
"clientTolerance": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientId: '<string>',
clientName: '<string>',
clientPoNumber: '<string>',
styles: [{id: '<string>', label: '<string>', name: '<string>'}],
status: '<string>',
notes: '<string>',
lineItems: [
{
styleSkuId: '<string>',
styleId: '<string>',
skuLabel: '<string>',
dealStatus: '<string>',
orderQuantity: 123,
clientTolerance: 123
}
]
})
};
fetch('https://vinmake-erp.onrender.com/rfs/{rfs_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Path Parameters
Body
application/json
Response
Successful Response
⌘I
Update Rfs
